# testgtkchem3dviewer.c File Reference

`#include "config.h"`
`#include <gcu/chemistry.h>`
`#include <gcu/gtkchem3dviewer.h>`
`#include <glib.h>`
`#include <gtk/gtk.h>`
`#include <stdio.h>`
`#include <libgnomevfs/gnome-vfs.h>`

Go to the source code of this file.

## Functions
int | main (int argc, char *argv[])

## Detailed Description

A simple sample of the use of the GtkChem3DViewer widget.

Definition in file testgtkchem3dviewer.c.

## Function Documentation

int main | ( | int | argc,
|  | char * | argv[] |
| ) |  |  |

main function of the test program. It fulfills the following operations, in order:

- initialize Gt and GnomeVFS;
- loads atomic radii (the 3D viewer needs the van der Waals radii).
- build the widow embedding the sample GtkChem3DViewer.
- build the GtkChem3DViewer with either a file from the command line or the default methane.xyz provided with the sources.
- shows everything and enter gtk_main().

Definition at line 22 of file testgtkchem3dviewer.c.

References gcu_element_load_databases(), and gtk_chem3d_viewer_new().